--- a/Makefile.am	2011-03-07 00:24:15.000000000 +0100
+++ b/Makefile.am	2012-05-22 10:52:49.023010001 +0200
@@ -171,7 +171,8 @@
 	fbsplash_funcs.c \
 	fbsplash-test.c
 fbsplash_test_LDADD=\
-	$(FBSPLASH_LIBS)
+	$(FBSPLASH_LIBS) \
+	$(BZ2_LIBS)
 
 whitelist.c: whitelist.csv
 	$(PERL) wlcsv2c.pl whitelist.csv whitelist.c
--- a/configure.ac	2011-03-07 00:24:15.000000000 +0100
+++ b/configure.ac	2012-05-22 10:52:37.918148832 +0200
@@ -74,6 +74,22 @@
 	,
 	[enable_fbsplash="no"]
 )
+BZ2_LIBS=
+AS_IF(
+  [test "x${fbsplash}" = "xyes"],
+  [
+    PKG_CHECK_MODULES(
+      [FREETYPE2],
+      [freetype2],
+      ,
+      [AC_MSG_ERROR([freetype was not found.])]
+    )
+    AC_CHECK_LIB([bz2], [BZ2_bzDecompress],
+      [BZ2_LIBS="${BZ2_LIBS} -lbz2"],
+      [AC_MSG_ERROR(['libbz2' library was not found.])]
+    )
+  ]
+)
 AC_ARG_WITH(
 	[devdir],
 	[AC_HELP_STRING([--with-devdir=DIR], [use if --enable-create-device, put devices in this directory, default /dev])],
